# Install.cmd script for the S4PPLUS system
# 
# Install questions
#    var 1  = irb type
#    var 10 = temp use.
echo -text ""
echo -text "IRB 540 540x 56x0 S4P 4.2"
echo -text ""
setvar -var 10 -value 0
getkey -id "IrbSelect" -var 10 -strvar $ANSWER -errlabel NO_STD_ROBOT
goto -strvar $ANSWER
#
#
#IRB540_02_T00F11B21V21H21
echo -text "Installing IRB 540-02 with long arm "
config -filename  $BOOTPATH/../drive_lib/trafo2c1.cfg -domain MOC -internal
config -filename  $BOOTPATH/../drive_lib/dc2_c1b1.cfg -domain MOC -internal
setvar -var 10 -value 0
getkey -id "CnvMedia" -var 10 -strvar $ANSWER -errlabel NO_CNV
goto -strvar $ANSWER
#NO_CNV
install -resource Function -name "IRB" -descr "540_02_T00F11B21V21H21"
config -filename  $BOOTPATH/irbcfg/SEC_540_02_T00F11B21V21H21_pnt.cfg.enc -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/INT_540_02_T00F11B21V21H21_pnt.cfg -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/EXT_540_02_T00F11B21V21H21_pnt.cfg -domain MOC
goto -label END_LABEL
#OPTCNV
if -var 9 -value 50 -label QUERY
if -var 9 -value 30 -label QUERY
setvar -var 10 -value 0
getkey -id "CnvSide" -var 10 -strvar $ANSWER -errlabel DEFAULT
goto -strvar $ANSWER
#DEFAULT
goto -label IRB540_02_T00F11B21V21H21_r
#QUERY
echo -text "Select IRB Location."
echo -text " "
echo -text "Which side of the line? "
query -text "LeftSide                     RightSide" \
	-var 1 -fk_text
if -var 1 -value 10 -label IRB540_02_T00F11B21V21H21_l
if -var 1 -value 40 -label IRB540_02_T00F11B21V21H21_r
if -var 1 -value 50 -label IRB540_02_T00F11B21V21H21_r
#LEFT
#IRB540_02_T00F11B21V21H21_l                 
install -resource Function -name "IRB" -descr "540_02_T00F11B21V21H21_l"
config -filename  $BOOTPATH/irbcfg/SEC_540_02_T00F11B21V21H21_l_pnt.cfg.enc -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/INT_540_02_T00F11B21V21H21_l_pnt.cfg -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/EXT_540_02_T00F11B21V21H21_l_pnt.cfg -domain MOC
goto -label END_LABEL
#RIGHT
#IRB540_02_T00F11B21V21H21_r
install -resource Function -name "IRB" -descr "540_02_T00F11B21V21H21_r"
config -filename  $BOOTPATH/irbcfg/SEC_540_02_T00F11B21V21H21_r_pnt.cfg.enc -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/INT_540_02_T00F11B21V21H21_r_pnt.cfg -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/EXT_540_02_T00F11B21V21H21_r_pnt.cfg -domain MOC
goto -label END_LABEL
#
#
#IRB540_02_T00F11B21V21H21m1
echo -text "Installing IRB 540-02 with short arm "
config -filename  $BOOTPATH/../drive_lib/trafo2c1.cfg -domain MOC -internal
config -filename  $BOOTPATH/../drive_lib/dc2_c1b1.cfg -domain MOC -internal
#
setvar -var 10 -value 0
getkey -id "CnvMedia" -var 10 -strvar $ANSWER -errlabel NO_CNV
goto -strvar $ANSWER
#NO_CNV
install -resource Function -name "IRB" -descr "540_02_T00F11B21V21H21m1"
config -filename  $BOOTPATH/irbcfg/SEC_540_02_T00F11B21V21H21m1_pnt.cfg.enc -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/INT_540_02_T00F11B21V21H21m1_pnt.cfg -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/EXT_540_02_T00F11B21V21H21m1_pnt.cfg -domain MOC
goto -label END_LABEL
#OPTCNV
if -var 9 -value 50 -label QUERY
if -var 9 -value 30 -label QUERY
setvar -var 10 -value 0
getkey -id "CnvSide" -var 10 -strvar $ANSWER -errlabel DEFAULT
goto -strvar $ANSWER
#DEFAULT
goto -label IRB540_02_T00F11B21V21H21m1_r
#QUERY
echo -text "Select IRB Location."
echo -text " "
echo -text "Which side of the line? "
query -text "LeftSide                     RightSide" \
	-var 1 -fk_text
if -var 1 -value 10 -label IRB540_02_T00F11B21V21H21m1_l
if -var 1 -value 40 -label IRB540_02_T00F11B21V21H21m1_r
if -var 1 -value 50 -label IRB540_02_T00F11B21V21H21m1_r
#LEFT
#IRB540_02_T00F11B21V21H21m1_l                 
install -resource Function -name "IRB" -descr "540_02_T00F11B21V21H21m1_l"
config -filename  $BOOTPATH/irbcfg/SEC_540_02_T00F11B21V21H21m1_l_pnt.cfg.enc -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/INT_540_02_T00F11B21V21H21m1_l_pnt.cfg -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/EXT_540_02_T00F11B21V21H21m1_l_pnt.cfg -domain MOC
goto -label END_LABEL
#RIGHT
#IRB540_02_T00F11B21V21H21m1_r
install -resource Function -name "IRB" -descr "540_02_T00F11B21V21H21m1_r"
config -filename  $BOOTPATH/irbcfg/SEC_540_02_T00F11B21V21H21m1_r_pnt.cfg.enc -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/INT_540_02_T00F11B21V21H21m1_r_pnt.cfg -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/EXT_540_02_T00F11B21V21H21m1_r_pnt.cfg -domain MOC
goto -label END_LABEL
#
#
#IRB540_02_T00F11B21V21m1H21m1
echo -text "Installing Small IRB 540-02 "
config -filename  $BOOTPATH/../drive_lib/trafo2c1.cfg -domain MOC -internal
config -filename  $BOOTPATH/../drive_lib/dc2_c1b1.cfg -domain MOC -internal
#
setvar -var 10 -value 0
getkey -id "CnvMedia" -var 10 -strvar $ANSWER -errlabel NO_CNV
goto -strvar $ANSWER
#NO_CNV
install -resource Function -name "IRB" -descr "540_02_T00F11B21V21m1H21m1"
config -filename  $BOOTPATH/irbcfg/SEC_540_02_T00F11B21V21m1H21m1_pnt.cfg.enc -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/INT_540_02_T00F11B21V21m1H21m1_pnt.cfg -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/EXT_540_02_T00F11B21V21m1H21m1_pnt.cfg -domain MOC
goto -label END_LABEL
#OPTCNV
if -var 9 -value 50 -label QUERY
if -var 9 -value 30 -label QUERY
setvar -var 10 -value 0
getkey -id "CnvSide" -var 10 -strvar $ANSWER -errlabel DEFAULT
goto -strvar $ANSWER
#DEFAULT
goto -label IRB540_02_T00F11B21V21m1H21m1_r
#QUERY
echo -text "Select IRB Location."
echo -text " "
echo -text "Which side of the line? "
query -text "LeftSide                     RightSide" \
 -var 1 -fk_text
if -var 1 -value 10 -label IRB540_02_T00F11B21V21m1H21m1_l
if -var 1 -value 40 -label IRB540_02_T00F11B21V21m1H21m1_r
if -var 1 -value 50 -label IRB540_02_T00F11B21V21m1H21m1_r
#LEFT
#IRB540_02_T00F11B21V21m1H21m1_l                 
install -resource Function -name "IRB" -descr "540_02_T00F11B21V21m1H21m1_l"
config -filename  $BOOTPATH/irbcfg/SEC_540_02_T00F11B21V21m1H21m1_l_pnt.cfg.enc -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/INT_540_02_T00F11B21V21m1H21m1_l_pnt.cfg -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/EXT_540_02_T00F11B21V21m1H21m1_l_pnt.cfg -domain MOC
goto -label END_LABEL
#RIGHT
#IRB540_02_T00F11B21V21m1H21m1_r
install -resource Function -name "IRB" -descr "540_02_T00F11B21V21m1H21m1_r"
config -filename  $BOOTPATH/irbcfg/SEC_540_02_T00F11B21V21m1H21m1_r_pnt.cfg.enc -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/INT_540_02_T00F11B21V21m1H21m1_r_pnt.cfg -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/EXT_540_02_T00F11B21V21m1H21m1_r_pnt.cfg -domain MOC
goto -label END_LABEL
#
#
#IRB540_12_T00F11B21V21m1H21m1
echo -text "Installing Small IRB 540-12 "
config -filename  $BOOTPATH/../drive_lib/trafo2c1.cfg -domain MOC -internal
config -filename  $BOOTPATH/../drive_lib/dc2_c1b1.cfg -domain MOC -internal
#
setvar -var 10 -value 0
getkey -id "CnvMedia" -var 10 -strvar $ANSWER -errlabel NO_CNV
goto -strvar $ANSWER
#NO_CNV
install -resource Function -name "IRB" -descr "540_12_T00F11B21V21m1H21m1"
config -filename  $BOOTPATH/irbcfg/SEC_540_12_T00F11B21V21m1H21m1_pnt.cfg.enc -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/INT_540_12_T00F11B21V21m1H21m1_pnt.cfg -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/EXT_540_12_T00F11B21V21m1H21m1_pnt.cfg -domain MOC
goto -label END_LABEL
#OPTCNV
if -var 9 -value 50 -label QUERY
if -var 9 -value 30 -label QUERY
setvar -var 10 -value 0
getkey -id "CnvSide" -var 10 -strvar $ANSWER -errlabel DEFAULT
goto -strvar $ANSWER
#DEFAULT
goto -label IRB540_12_T00F11B21V21m1H21m1_r
#QUERY
echo -text "Select IRB Location."
echo -text " "
echo -text "Which side of the line? "
query -text "LeftSide                     RightSide" \
 -var 1 -fk_text
if -var 1 -value 10 -label IRB540_12_T00F11B21V21m1H21m1_l
if -var 1 -value 40 -label IRB540_12_T00F11B21V21m1H21m1_r
if -var 1 -value 50 -label IRB540_12_T00F11B21V21m1H21m1_r
#LEFT
#IRB540_12_T00F11B21V21m1H21m1_l                 
install -resource Function -name "IRB" -descr "540_12_T00F11B21V21m1H21m1_l"
config -filename  $BOOTPATH/irbcfg/SEC_540_12_T00F11B21V21m1H21m1_l_pnt.cfg.enc -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/INT_540_12_T00F11B21V21m1H21m1_l_pnt.cfg -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/EXT_540_12_T00F11B21V21m1H21m1_l_pnt.cfg -domain MOC
goto -label END_LABEL
#RIGHT
#IRB540_12_T00F11B21V21m1H21m1_r
install -resource Function -name "IRB" -descr "540_12_T00F11B21V21m1H21m1_r"
config -filename  $BOOTPATH/irbcfg/SEC_540_12_T00F11B21V21m1H21m1_r_pnt.cfg.enc -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/INT_540_12_T00F11B21V21m1H21m1_r_pnt.cfg -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/EXT_540_12_T00F11B21V21m1H21m1_r_pnt.cfg -domain MOC
goto -label END_LABEL
#
#
#IRB540_12_T00F11B21V21H21
echo -text "Installing IRB 540-12 with long arm "
config -filename  $BOOTPATH/../drive_lib/trafo2c1.cfg -domain MOC -internal
config -filename  $BOOTPATH/../drive_lib/dc2_c1b1.cfg -domain MOC -internal
setvar -var 10 -value 0
getkey -id "CnvMedia" -var 10 -strvar $ANSWER -errlabel NO_CNV
goto -strvar $ANSWER
#NO_CNV
install -resource Function -name "IRB" -descr "540_12_T00F11B21V21H21"
config -filename  $BOOTPATH/irbcfg/SEC_540_12_T00F11B21V21H21_pnt.cfg.enc -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/INT_540_12_T00F11B21V21H21_pnt.cfg -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/EXT_540_12_T00F11B21V21H21_pnt.cfg -domain MOC
goto -label END_LABEL
#OPTCNV
if -var 9 -value 50 -label QUERY
if -var 9 -value 30 -label QUERY
setvar -var 10 -value 0
getkey -id "CnvSide" -var 10 -strvar $ANSWER -errlabel DEFAULT
goto -strvar $ANSWER
#DEFAULT
goto -label IRB540_12_T00F11B21V21H21_r
#QUERY
echo -text "Select IRB Location."
echo -text " "
echo -text "Which side of the line? "
query -text "LeftSide                     RightSide" \
	-var 1 -fk_text
if -var 1 -value 10 -label IRB540_12_T00F11B21V21H21_l
if -var 1 -value 40 -label IRB540_12_T00F11B21V21H21_r
if -var 1 -value 50 -label IRB540_12_T00F11B21V21H21_r
#LEFT
#IRB540_12_T00F11B21V21H21_l                 
install -resource Function -name "IRB" -descr "540_12_T00F11B21V21H21_l"
config -filename  $BOOTPATH/irbcfg/SEC_540_12_T00F11B21V21H21_l_pnt.cfg.enc -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/INT_540_12_T00F11B21V21H21_l_pnt.cfg -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/EXT_540_12_T00F11B21V21H21_l_pnt.cfg -domain MOC
goto -label END_LABEL
#RIGHT
#IRB540_12_T00F11B21V21H21_r
install -resource Function -name "IRB" -descr "540_12_T00F11B21V21H21_r"
config -filename  $BOOTPATH/irbcfg/SEC_540_12_T00F11B21V21H21_r_pnt.cfg.enc -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/INT_540_12_T00F11B21V21H21_r_pnt.cfg -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/EXT_540_12_T00F11B21V21H21_r_pnt.cfg -domain MOC
goto -label END_LABEL
#
#
#IRB540_12_T00F11B21V21H21m1
echo -text "Installing IRB 540-12 with short arm "
config -filename  $BOOTPATH/../drive_lib/trafo2c1.cfg -domain MOC -internal
config -filename  $BOOTPATH/../drive_lib/dc2_c1b1.cfg -domain MOC -internal
#
setvar -var 10 -value 0
getkey -id "CnvMedia" -var 10 -strvar $ANSWER -errlabel NO_CNV
goto -strvar $ANSWER
#NO_CNV
install -resource Function -name "IRB" -descr "540_12_T00F11B21V21H21m1"
config -filename  $BOOTPATH/irbcfg/SEC_540_12_T00F11B21V21H21m1_pnt.cfg.enc -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/INT_540_12_T00F11B21V21H21m1_pnt.cfg -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/EXT_540_12_T00F11B21V21H21m1_pnt.cfg -domain MOC
goto -label END_LABEL
#OPTCNV
if -var 9 -value 50 -label QUERY
if -var 9 -value 30 -label QUERY
setvar -var 10 -value 0
getkey -id "CnvSide" -var 10 -strvar $ANSWER -errlabel DEFAULT
goto -strvar $ANSWER
#DEFAULT
goto -label IRB540_12_T00F11B21V21H21m1_r
#QUERY
echo -text "Select IRB Location."
echo -text " "
echo -text "Which side of the line? "
query -text "LeftSide                     RightSide" \
	-var 1 -fk_text
if -var 1 -value 10 -label IRB540_12_T00F11B21V21H21m1_l
if -var 1 -value 40 -label IRB540_12_T00F11B21V21H21m1_r
if -var 1 -value 50 -label IRB540_12_T00F11B21V21H21m1_r
#LEFT
#IRB540_12_T00F11B21V21H21m1_l                 
install -resource Function -name "IRB" -descr "540_12_T00F11B21V21H21m1_l"
config -filename  $BOOTPATH/irbcfg/SEC_540_12_T00F11B21V21H21m1_l_pnt.cfg.enc -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/INT_540_12_T00F11B21V21H21m1_l_pnt.cfg -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/EXT_540_12_T00F11B21V21H21m1_l_pnt.cfg -domain MOC
goto -label END_LABEL
#RIGHT
#IRB540_12_T00F11B21V21H21m1_r
install -resource Function -name "IRB" -descr "540_12_T00F11B21V21H21m1_r"
config -filename  $BOOTPATH/irbcfg/SEC_540_12_T00F11B21V21H21m1_r_pnt.cfg.enc -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/INT_540_12_T00F11B21V21H21m1_r_pnt.cfg -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/EXT_540_12_T00F11B21V21H21m1_r_pnt.cfg -domain MOC
goto -label END_LABEL
#
#
#IRB540_05_T00F11B21V21m2H21m1
echo -text "Installing Small IRB 540-05 "
config -filename  $BOOTPATH/../drive_lib/trafo2c1.cfg -domain MOC -internal
config -filename  $BOOTPATH/../drive_lib/dc2_c1b1.cfg -domain MOC -internal
#
setvar -var 10 -value 0
getkey -id "CnvMedia" -var 10 -strvar $ANSWER -errlabel NO_CNV
goto -strvar $ANSWER
#NO_CNV
install -resource Function -name "IRB" -descr "540_05_T00F11B21V21m2H21m1"
config -filename  $BOOTPATH/irbcfg/SEC_540_05_T00F11B21V21m2H21m1_pnt.cfg.enc -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/INT_540_05_T00F11B21V21m2H21m1_pnt.cfg -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/EXT_540_05_T00F11B21V21m2H21m1_pnt.cfg -domain MOC
goto -label END_LABEL
#OPTCNV
if -var 9 -value 50 -label QUERY
if -var 9 -value 30 -label QUERY
setvar -var 10 -value 0
getkey -id "CnvSide" -var 10 -strvar $ANSWER -errlabel DEFAULT
goto -strvar $ANSWER
#DEFAULT
goto -label IRB540_05_T00F11B21V21m2H21m1_r
#QUERY
echo -text "Select IRB Location."
echo -text " "
echo -text "Which side of the line? "
query -text "LeftSide                     RightSide" \
 -var 1 -fk_text
if -var 1 -value 10 -label IRB540_05_T00F11B21V21m2H21m1_l
if -var 1 -value 40 -label IRB540_05_T00F11B21V21m2H21m1_r
if -var 1 -value 50 -label IRB540_05_T00F11B21V21m2H21m1_r
#LEFT
#IRB540_05_T00F11B21V21m2H21m1_l                 
install -resource Function -name "IRB" -descr "540_05_T00F11B21V21m2H21m1_l"
config -filename  $BOOTPATH/irbcfg/SEC_540_05_T00F11B21V21m2H21m1_l_pnt.cfg.enc -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/INT_540_05_T00F11B21V21m2H21m1_l_pnt.cfg -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/EXT_540_05_T00F11B21V21m2H21m1_l_pnt.cfg -domain MOC
goto -label END_LABEL
#RIGHT
#IRB540_05_T00F11B21V21m2H21m1_r
install -resource Function -name "IRB" -descr "540_05_T00F11B21V21m2H21m1_r"
config -filename  $BOOTPATH/irbcfg/SEC_540_05_T00F11B21V21m2H21m1_r_pnt.cfg.enc -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/INT_540_05_T00F11B21V21m2H21m1_r_pnt.cfg -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/EXT_540_05_T00F11B21V21m2H21m1_r_pnt.cfg -domain MOC
goto -label END_LABEL
#
#
#IRB540_15_T00F11B21V21m2H21m1
echo -text "Installing Small IRB 540-15 "
config -filename  $BOOTPATH/../drive_lib/trafo2c1.cfg -domain MOC -internal
config -filename  $BOOTPATH/../drive_lib/dc2_c1b1.cfg -domain MOC -internal
#
setvar -var 10 -value 0
getkey -id "CnvMedia" -var 10 -strvar $ANSWER -errlabel NO_CNV
goto -strvar $ANSWER
#NO_CNV
install -resource Function -name "IRB" -descr "540_15_T00F11B21V21m2H21m1"
config -filename  $BOOTPATH/irbcfg/SEC_540_15_T00F11B21V21m2H21m1_pnt.cfg.enc -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/INT_540_15_T00F11B21V21m2H21m1_pnt.cfg -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/EXT_540_15_T00F11B21V21m2H21m1_pnt.cfg -domain MOC
goto -label END_LABEL
#OPTCNV
if -var 9 -value 50 -label QUERY
if -var 9 -value 30 -label QUERY
setvar -var 10 -value 0
getkey -id "CnvSide" -var 10 -strvar $ANSWER -errlabel DEFAULT
goto -strvar $ANSWER
#DEFAULT
goto -label IRB540_15_T00F11B21V21m2H21m1_r
#QUERY
echo -text "Select IRB Location."
echo -text " "
echo -text "Which side of the line? "
query -text "LeftSide                     RightSide" \
 -var 1 -fk_text
if -var 1 -value 10 -label IRB540_15_T00F11B21V21m2H21m1_l
if -var 1 -value 40 -label IRB540_15_T00F11B21V21m2H21m1_r
if -var 1 -value 50 -label IRB540_15_T00F11B21V21m2H21m1_r
#LEFT
#IRB540_15_T00F11B21V21m2H21m1_l                 
install -resource Function -name "IRB" -descr "540_15_T00F11B21V21m2H21m1_l"
config -filename  $BOOTPATH/irbcfg/SEC_540_15_T00F11B21V21m2H21m1_l_pnt.cfg.enc -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/INT_540_15_T00F11B21V21m2H21m1_l_pnt.cfg -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/EXT_540_15_T00F11B21V21m2H21m1_l_pnt.cfg -domain MOC
goto -label END_LABEL
#RIGHT
#IRB540_15_T00F11B21V21m2H21m1_r
install -resource Function -name "IRB" -descr "540_15_T00F11B21V21m2H21m1_r"
config -filename  $BOOTPATH/irbcfg/SEC_540_15_T00F11B21V21m2H21m1_r_pnt.cfg.enc -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/INT_540_15_T00F11B21V21m2H21m1_r_pnt.cfg -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/EXT_540_15_T00F11B21V21m2H21m1_r_pnt.cfg -domain MOC
goto -label END_LABEL
#
#
#IRB580_02_T00F11B21V21H31
echo -text "Installing IRB580-02 with long arm"
config -filename  $BOOTPATH/../drive_lib/trafo2c1.cfg -domain MOC -internal
config -filename  $BOOTPATH/../drive_lib/dc2_c1b1.cfg -domain MOC -internal
setvar -var 10 -value 0
getkey -id "CnvMedia" -var 10 -strvar $ANSWER -errlabel NO_CNV
goto -strvar $ANSWER
#NO_CNV
install -resource Function -name "IRB" -descr "580_02_T00F11B21V21H31"
config -filename  $BOOTPATH/irbcfg/SEC_580_02_T00F11B21V21H31_pnt.cfg.enc -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/INT_580_02_T00F11B21V21H31_pnt.cfg -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/EXT_580_02_T00F11B21V21H31_pnt.cfg -domain MOC
goto -label END_LABEL
#OPTCNV
if -var 9 -value 50 -label QUERY
if -var 9 -value 30 -label QUERY
setvar -var 10 -value 0
getkey -id "CnvSide" -var 10 -strvar $ANSWER -errlabel DEFAULT
goto -strvar $ANSWER
#DEFAULT
goto -label IRB580_02_T00F11B21V21H31_r
#QUERY
echo -text "Select IRB Location."
echo -text " "
echo -text "Which side of the line? "
query -text "LeftSide                     RightSide" \
	-var 1 -fk_text
if -var 1 -value 10 -label IRB580_02_T00F11B21V21H31_l
if -var 1 -value 40 -label IRB580_02_T00F11B21V21H31_r
if -var 1 -value 50 -label IRB580_02_T00F11B21V21H31_r
#LEFT
#IRB580_02_T00F11B21V21H31_l                 
install -resource Function -name "IRB" -descr "580_02_T00F11B21V21H31_l"
config -filename  $BOOTPATH/irbcfg/SEC_580_02_T00F11B21V21H31_l_pnt.cfg.enc -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/INT_580_02_T00F11B21V21H31_l_pnt.cfg -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/EXT_580_02_T00F11B21V21H31_l_pnt.cfg -domain MOC
goto -label END_LABEL
#RIGHT
#IRB580_02_T00F11B21V21H31_r
install -resource Function -name "IRB" -descr "580_02_T00F11B21V21H31_r"
config -filename  $BOOTPATH/irbcfg/SEC_580_02_T00F11B21V21H31_r_pnt.cfg.enc -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/INT_580_02_T00F11B21V21H31_r_pnt.cfg -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/EXT_580_02_T00F11B21V21H31_r_pnt.cfg -domain MOC
goto -label END_LABEL
#
#
#IRB580_02_T00F11B21V21H31m1
echo -text "Installing IRB580-02 with short arm"
config -filename  $BOOTPATH/../drive_lib/trafo2c1.cfg -domain MOC -internal
config -filename  $BOOTPATH/../drive_lib/dc2_c1b1.cfg -domain MOC -internal
#
setvar -var 10 -value 0
getkey -id "CnvMedia" -var 10 -strvar $ANSWER -errlabel NO_CNV
goto -strvar $ANSWER
#NO_CNV
install -resource Function -name "IRB" -descr "580_02_T00F11B21V21H31m1"
config -filename  $BOOTPATH/irbcfg/SEC_580_02_T00F11B21V21H31m1_pnt.cfg.enc -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/INT_580_02_T00F11B21V21H31m1_pnt.cfg -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/EXT_580_02_T00F11B21V21H31m1_pnt.cfg -domain MOC
goto -label END_LABEL
#OPTCNV
if -var 9 -value 50 -label QUERY
if -var 9 -value 30 -label QUERY
setvar -var 10 -value 0
getkey -id "CnvSide" -var 10 -strvar $ANSWER -errlabel DEFAULT
goto -strvar $ANSWER
#DEFAULT
goto -label IRB580_02_T00F11B21V21H31m1_r
#QUERY
echo -text "Select IRB Location."
echo -text " "
echo -text "Which side of the line? "
query -text "LeftSide                     RightSide" \
	-var 1 -fk_text
if -var 1 -value 10 -label IRB580_02_T00F11B21V21H31m1_l
if -var 1 -value 40 -label IRB580_02_T00F11B21V21H31m1_r
if -var 1 -value 50 -label IRB580_02_T00F11B21V21H31m1_r
#LEFT
#IRB580_02_T00F11B21V21H31m1_l                 
install -resource Function -name "IRB" -descr "580_02_T00F11B21V21H31m1_l"
config -filename  $BOOTPATH/irbcfg/SEC_580_02_T00F11B21V21H31m1_l_pnt.cfg.enc -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/INT_580_02_T00F11B21V21H31m1_l_pnt.cfg -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/EXT_580_02_T00F11B21V21H31m1_l_pnt.cfg -domain MOC
goto -label END_LABEL
#RIGHT
#IRB580_02_T00F11B21V21H31m1_r
install -resource Function -name "IRB" -descr "580_02_T00F11B21V21H31m1_r"
config -filename  $BOOTPATH/irbcfg/SEC_580_02_T00F11B21V21H31m1_r_pnt.cfg.enc -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/INT_580_02_T00F11B21V21H31m1_r_pnt.cfg -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/EXT_580_02_T00F11B21V21H31m1_r_pnt.cfg -domain MOC
goto -label END_LABEL
#
#
#IRB580_12_T00F11B21V21H31
echo -text "Installing IRB580-12 with long arm"
config -filename  $BOOTPATH/../drive_lib/trafo2c1.cfg -domain MOC -internal
config -filename  $BOOTPATH/../drive_lib/dc2_c1b1.cfg -domain MOC -internal
setvar -var 10 -value 0
getkey -id "CnvMedia" -var 10 -strvar $ANSWER -errlabel NO_CNV
goto -strvar $ANSWER
#NO_CNV
install -resource Function -name "IRB" -descr "580_12_T00F11B21V21H31"
config -filename  $BOOTPATH/irbcfg/SEC_580_12_T00F11B21V21H31_pnt.cfg.enc -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/INT_580_12_T00F11B21V21H31_pnt.cfg -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/EXT_580_12_T00F11B21V21H31_pnt.cfg -domain MOC
goto -label END_LABEL
#OPTCNV
if -var 9 -value 50 -label QUERY
if -var 9 -value 30 -label QUERY
setvar -var 10 -value 0
getkey -id "CnvSide" -var 10 -strvar $ANSWER -errlabel DEFAULT
goto -strvar $ANSWER
#DEFAULT
goto -label IRB580_12_T00F11B21V21H31_r
#QUERY
echo -text "Select IRB Location."
echo -text " "
echo -text "Which side of the line? "
query -text "LeftSide                     RightSide" \
	-var 1 -fk_text
if -var 1 -value 10 -label IRB580_12_T00F11B21V21H31_l
if -var 1 -value 40 -label IRB580_12_T00F11B21V21H31_r
if -var 1 -value 50 -label IRB580_12_T00F11B21V21H31_r
#LEFT
#IRB580_12_T00F11B21V21H31_l                 
install -resource Function -name "IRB" -descr "580_12_T00F11B21V21H31_l"
config -filename  $BOOTPATH/irbcfg/SEC_580_12_T00F11B21V21H31_l_pnt.cfg.enc -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/INT_580_12_T00F11B21V21H31_l_pnt.cfg -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/EXT_580_12_T00F11B21V21H31_l_pnt.cfg -domain MOC
goto -label END_LABEL
#RIGHT
#IRB580_12_T00F11B21V21H31_r
install -resource Function -name "IRB" -descr "580_12_T00F11B21V21H31_r"
config -filename  $BOOTPATH/irbcfg/SEC_580_12_T00F11B21V21H31_r_pnt.cfg.enc -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/INT_580_12_T00F11B21V21H31_r_pnt.cfg -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/EXT_580_12_T00F11B21V21H31_r_pnt.cfg -domain MOC
goto -label END_LABEL
#
#
#IRB580_12_T00F11B21V21H31m1
echo -text "Installing IRB580-12 with short arm"
config -filename  $BOOTPATH/../drive_lib/trafo2c1.cfg -domain MOC -internal
config -filename  $BOOTPATH/../drive_lib/dc2_c1b1.cfg -domain MOC -internal
#
setvar -var 10 -value 0
getkey -id "CnvMedia" -var 10 -strvar $ANSWER -errlabel NO_CNV
goto -strvar $ANSWER
#NO_CNV
install -resource Function -name "IRB" -descr "580_12_T00F11B21V21H31m1"
config -filename  $BOOTPATH/irbcfg/SEC_580_12_T00F11B21V21H31m1_pnt.cfg.enc -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/INT_580_12_T00F11B21V21H31m1_pnt.cfg -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/EXT_580_12_T00F11B21V21H31m1_pnt.cfg -domain MOC
goto -label END_LABEL
#OPTCNV
if -var 9 -value 50 -label QUERY
if -var 9 -value 30 -label QUERY
setvar -var 10 -value 0
getkey -id "CnvSide" -var 10 -strvar $ANSWER -errlabel DEFAULT
goto -strvar $ANSWER
#DEFAULT
goto -label IRB580_12_T00F11B21V21H31m1_r
#QUERY
echo -text "Select IRB Location."
echo -text " "
echo -text "Which side of the line? "
query -text "LeftSide                     RightSide" \
	-var 1 -fk_text
if -var 1 -value 10 -label IRB580_12_T00F11B21V21H31m1_l
if -var 1 -value 40 -label IRB580_12_T00F11B21V21H31m1_r
if -var 1 -value 50 -label IRB580_12_T00F11B21V21H31m1_r
#LEFT
#IRB580_12_T00F11B21V21H31m1_l                 
install -resource Function -name "IRB" -descr "580_12_T00F11B21V21H31m1_l"
config -filename  $BOOTPATH/irbcfg/SEC_580_12_T00F11B21V21H31m1_l_pnt.cfg.enc -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/INT_580_12_T00F11B21V21H31m1_l_pnt.cfg -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/EXT_580_12_T00F11B21V21H31m1_l_pnt.cfg -domain MOC
goto -label END_LABEL
#RIGHT
#IRB580_12_T00F11B21V21H31m1_r
install -resource Function -name "IRB" -descr "580_12_T00F11B21V21H31m1_r"
config -filename  $BOOTPATH/irbcfg/SEC_580_12_T00F11B21V21H31m1_r_pnt.cfg.enc -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/INT_580_12_T00F11B21V21H31m1_r_pnt.cfg -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/EXT_580_12_T00F11B21V21H31m1_r_pnt.cfg -domain MOC
goto -label END_LABEL
#
#
#
#IRB5400_02_T00F11B11V12H11
echo -text "Installing IRB 5400-02"
config -filename  $BOOTPATH/../drive_lib/trafo4c1.cfg -domain MOC -internal
config -filename  $BOOTPATH/../drive_lib/dc2_c1b1.cfg -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/SEC_5400_02_T00F11B11V12H11_pnt.cfg.enc -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/INT_5400_02_T00F11B11V12H11_pnt.cfg -domain MOC -internal
#
setvar -var 10 -value 0
getkey -id "CnvMedia" -var 10 -strvar $ANSWER -errlabel NO_CNV
goto -strvar $ANSWER
#NO_CNV
install -resource Function -name "IRB" -descr "5400_02_T00F11B11V12H11"
config -filename  $BOOTPATH/irbcfg/EXT_5400_02_T00F11B11V12H11_pnt.cfg -domain MOC
goto -label END_LABEL
#OPTCNV
if -var 9 -value 50 -label QUERY
if -var 9 -value 30 -label QUERY
setvar -var 10 -value 0
getkey -id "CnvSide" -var 10 -strvar $ANSWER -errlabel DEFAULT
goto -strvar $ANSWER
#DEFAULT
goto -label IRB5400_02_T00F11B11V12H11_r
#QUERY
echo -text "Select IRB Location."
echo -text " "
echo -text "Which side of the line? "
query -text "LeftSide                     RightSide" \
	-var 1 -fk_text
if -var 1 -value 10 -label IRB5400_02_T00F11B11V12H11_l
if -var 1 -value 40 -label IRB5400_02_T00F11B11V12H11_r
if -var 1 -value 50 -label IRB5400_02_T00F11B11V12H11_r
#LEFT
#IRB5400_02_T00F11B11V12H11_l                 
install -resource Function -name "IRB" -descr "5400_02_T00F11B11V12H11_l"
config -filename  $BOOTPATH/irbcfg/EXT_5400_02_T00F11B11V12H11_l_pnt.cfg -domain MOC
goto -label END_LABEL
#RIGHT
#IRB5400_02_T00F11B11V12H11_r
install -resource Function -name "IRB" -descr "5400_02_T00F11B11V12H11_r"
config -filename  $BOOTPATH/irbcfg/EXT_5400_02_T00F11B11V12H11_r_pnt.cfg -domain MOC
goto -label END_LABEL
#
#
#IRB5400_02_T00F11B11V12H12
echo -text "Installing IRB 5400-02"
config -filename  $BOOTPATH/../drive_lib/trafo4c1.cfg -domain MOC -internal
config -filename  $BOOTPATH/../drive_lib/dc2_c1b1.cfg -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/SEC_5400_02_T00F11B11V12H12_pnt.cfg.enc -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/INT_5400_02_T00F11B11V12H12_pnt.cfg -domain MOC -internal
#
setvar -var 10 -value 0
getkey -id "CnvMedia" -var 10 -strvar $ANSWER -errlabel NO_CNV
goto -strvar $ANSWER
#NO_CNV
install -resource Function -name "IRB" -descr "5400_02_T00F11B11V12H12"
config -filename  $BOOTPATH/irbcfg/EXT_5400_02_T00F11B11V12H12_pnt.cfg -domain MOC
goto -label END_LABEL
#OPTCNV
if -var 9 -value 50 -label QUERY
if -var 9 -value 30 -label QUERY
setvar -var 10 -value 0
getkey -id "CnvSide" -var 10 -strvar $ANSWER -errlabel DEFAULT
goto -strvar $ANSWER
#DEFAULT
goto -label IRB5400_02_T00F11B11V12H12_r
#QUERY
echo -text "Select IRB Location."
echo -text " "
echo -text "Which side of the line? "
query -text "LeftSide                     RightSide" \
	-var 1 -fk_text
if -var 1 -value 10 -label IRB5400_02_T00F11B11V12H12_l
if -var 1 -value 40 -label IRB5400_02_T00F11B11V12H12_r
if -var 1 -value 50 -label IRB5400_02_T00F11B11V12H12_r
#LEFT
#IRB5400_02_T00F11B11V12H12_l                 
install -resource Function -name "IRB" -descr "5400_02_T00F11B11V12H12_l"
config -filename  $BOOTPATH/irbcfg/EXT_5400_02_T00F11B11V12H12_l_pnt.cfg -domain MOC
goto -label END_LABEL
#RIGHT
#IRB5400_02_T00F11B11V12H12_r
install -resource Function -name "IRB" -descr "5400_02_T00F11B11V12H12_r"
config -filename  $BOOTPATH/irbcfg/EXT_5400_02_T00F11B11V12H12_r_pnt.cfg -domain MOC
goto -label END_LABEL
#
#
#IRB5400_02_T00F11B11V12H41
echo -text "Installing IRB 5400-02"
config -filename  $BOOTPATH/../drive_lib/trafo4c1.cfg -domain MOC -internal
config -filename  $BOOTPATH/../drive_lib/dc2_c1b1.cfg -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/SEC_5400_02_T00F11B11V12H41_pnt.cfg.enc -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/INT_5400_02_T00F11B11V12H41_pnt.cfg -domain MOC -internal
#
setvar -var 10 -value 0
getkey -id "CnvMedia" -var 10 -strvar $ANSWER -errlabel NO_CNV
goto -strvar $ANSWER
#NO_CNV
install -resource Function -name "IRB" -descr "5400_02_T00F11B11V12H41"
config -filename  $BOOTPATH/irbcfg/EXT_5400_02_T00F11B11V12H41_pnt.cfg -domain MOC
goto -label END_LABEL
#OPTCNV
if -var 9 -value 50 -label QUERY
if -var 9 -value 30 -label QUERY
setvar -var 10 -value 0
getkey -id "CnvSide" -var 10 -strvar $ANSWER -errlabel DEFAULT
goto -strvar $ANSWER
#DEFAULT
goto -label IRB5400_02_T00F11B11V12H41_r
#QUERY
echo -text "Select IRB Location."
echo -text " "
echo -text "Which side of the line? "
query -text "LeftSide                     RightSide" \
	-var 1 -fk_text
if -var 1 -value 10 -label IRB5400_02_T00F11B11V12H41_l
if -var 1 -value 40 -label IRB5400_02_T00F11B11V12H41_r
if -var 1 -value 50 -label IRB5400_02_T00F11B11V12H41_r
#
#LEFT
#IRB5400_02_T00F11B11V12H41_l                 
install -resource Function -name "IRB" -descr "5400_02_T00F11B11V12H41_l"
config -filename  $BOOTPATH/irbcfg/EXT_5400_02_T00F11B11V12H41_l_pnt.cfg -domain MOC
goto -label END_LABEL
#
#RIGHT
#IRB5400_02_T00F11B11V12H41_r
install -resource Function -name "IRB" -descr "5400_02_T00F11B11V12H41_r"
config -filename  $BOOTPATH/irbcfg/EXT_5400_02_T00F11B11V12H41_r_pnt.cfg -domain MOC
goto -label END_LABEL
#
#
#IRB5400_03_T11m1F21B11V12H11
echo -text "Installing configuration for trafo&DC link"
echo -text ""
config -filename  $BOOTPATH/../drive_lib/trafo4c1.cfg -domain MOC -internal
config -filename  $BOOTPATH/../drive_lib/dc2t_c1b1.cfg -domain MOC -internal
#
if -var 9 -value 50 -label QUERY
if -var 9 -value 30 -label QUERY
setvar -var 10 -value 0
getkey -id "CnvSide" -var 10 -strvar $ANSWER -errlabel DEFAULT
goto -strvar $ANSWER
#DEFAULT
goto -label IRB5400_03_T11m1F21B11V12H11_r
#QUERY
echo -text "Select IRB Location."
echo -text " "
echo -text "Which side of the line? "
query -text "LeftSide                     RightSide" \
	-var 1 -fk_text
if -var 1 -value 10 -label IRB5400_03_T11m1F21B11V12H11_l
if -var 1 -value 40 -label IRB5400_03_T11m1F21B11V12H11_r
if -var 1 -value 50 -label IRB5400_03_T11m1F21B11V12H11_r
#
#LEFT
#IRB5400_03_T11m1F21B11V12H11_l
echo -text "Installing IRB 5400-03 left"
install -resource Function -name "IRB" -descr "5400_03_T11m1F21B11V12H11_l"
config -filename  $BOOTPATH/irbcfg/SEC_5400_03_T11m1F21B11V12H11_l_pnt.cfg.enc -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/INT_5400_03_T11m1F21B11V12H11_l_pnt.cfg -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/EXT_5400_03_T11m1F21B11V12H11_l_pnt.cfg -domain MOC
config -filename  $BOOTPATH/irbcfg/uncalib7.cfg -domain MOC
goto -label END_LABEL
#
#RIGHT
#IRB5400_03_T11m1F21B11V12H11_r
echo -text "Installing IRB 5400-03 right"
install -resource Function -name "IRB" -descr "5400_03_T11m1F21B11V12H11_r"
config -filename  $BOOTPATH/irbcfg/SEC_5400_03_T11m1F21B11V12H11_r_pnt.cfg.enc -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/INT_5400_03_T11m1F21B11V12H11_r_pnt.cfg -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/EXT_5400_03_T11m1F21B11V12H11_r_pnt.cfg -domain MOC
config -filename  $BOOTPATH/irbcfg/uncalib7.cfg -domain MOC
goto -label END_LABEL
#
#
#IRB5400_03_T11F21B11V12H11
echo -text "Installing configuration for trafo&DC link"
echo -text ""
config -filename  $BOOTPATH/../drive_lib/trafo3c1.cfg -domain MOC -internal
config -filename  $BOOTPATH/../drive_lib/dc3_c1b1.cfg -domain MOC -internal
#
if -var 9 -value 50 -label QUERY
if -var 9 -value 30 -label QUERY
setvar -var 10 -value 0
getkey -id "CnvSide" -var 10 -strvar $ANSWER -errlabel DEFAULT
goto -strvar $ANSWER
#DEFAULT
goto -label IRB5400_03_T11F21B11V12H11_r
#QUERY
echo -text "Select IRB Location."
echo -text " "
echo -text "Which side of the line? "
query -text "LeftSide                     RightSide" \
	-var 1 -fk_text
if -var 1 -value 10 -label IRB5400_03_T11F21B11V12H11_l
if -var 1 -value 40 -label IRB5400_03_T11F21B11V12H11_r
if -var 1 -value 50 -label IRB5400_03_T11F21B11V12H11_r
#LEFT
#IRB5400_03_T11F21B11V12H11_l
echo -text "Installing IRB 5400-03 left"
install -resource Function -name "IRB" -descr "5400_03_T11F21B11V12H11_l"
config -filename  $BOOTPATH/irbcfg/SEC_5400_03_T11F21B11V12H11_l_pnt.cfg.enc -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/INT_5400_03_T11F21B11V12H11_l_pnt.cfg -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/EXT_5400_03_T11F21B11V12H11_l_pnt.cfg -domain MOC
config -filename  $BOOTPATH/irbcfg/uncalib7.cfg -domain MOC
goto -label END_LABEL
#RIGHT
#IRB5400_03_T11F21B11V12H11_r
echo -text "Installing IRB 5400-03 right"
install -resource Function -name "IRB" -descr "5400_03_T11F21B11V12H11_r"
config -filename  $BOOTPATH/irbcfg/SEC_5400_03_T11F21B11V12H11_r_pnt.cfg.enc -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/INT_5400_03_T11F21B11V12H11_r_pnt.cfg -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/EXT_5400_03_T11F21B11V12H11_r_pnt.cfg -domain MOC
config -filename  $BOOTPATH/irbcfg/uncalib7.cfg -domain MOC
goto -label END_LABEL
#
#
#IRB5400_03_T11F21B11V12H12
echo -text "Installing configuration for trafo&DC link"
echo -text ""
config -filename  $BOOTPATH/../drive_lib/trafo3c1.cfg -domain MOC -internal
config -filename  $BOOTPATH/../drive_lib/dc3_c1b1.cfg -domain MOC -internal
#
if -var 9 -value 50 -label QUERY
if -var 9 -value 30 -label QUERY
setvar -var 10 -value 0
getkey -id "CnvSide" -var 10 -strvar $ANSWER -errlabel DEFAULT
goto -strvar $ANSWER
#DEFAULT
goto -label IRB5400_03_T11F21B11V12H12_r
#QUERY
echo -text "Select IRB Location."
echo -text " "
echo -text "Which side of the line? "
query -text "LeftSide                     RightSide" \
	-var 1 -fk_text
if -var 1 -value 10 -label IRB5400_03_T11F21B11V12H12_l
if -var 1 -value 40 -label IRB5400_03_T11F21B11V12H12_r
if -var 1 -value 50 -label IRB5400_03_T11F21B11V12H12_r
#LEFT
#IRB5400_03_T11F21B11V12H12_l
echo -text "Installing IRB 5400-03 left"
install -resource Function -name "IRB" -descr "5400_03_T11F21B11V12H12_l"
config -filename  $BOOTPATH/irbcfg/SEC_5400_03_T11F21B11V12H12_l_pnt.cfg.enc -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/INT_5400_03_T11F21B11V12H12_l_pnt.cfg -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/EXT_5400_03_T11F21B11V12H12_l_pnt.cfg -domain MOC
config -filename  $BOOTPATH/irbcfg/uncalib7.cfg -domain MOC
goto -label END_LABEL
#RIGHT
#IRB5400_03_T11F21B11V12H12_r
echo -text "Installing IRB 5400-03 right"
install -resource Function -name "IRB" -descr "5400_03_T11F21B11V12H12_r"
config -filename  $BOOTPATH/irbcfg/SEC_5400_03_T11F21B11V12H12_r_pnt.cfg.enc -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/INT_5400_03_T11F21B11V12H12_r_pnt.cfg -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/EXT_5400_03_T11F21B11V12H12_r_pnt.cfg -domain MOC
config -filename  $BOOTPATH/irbcfg/uncalib7.cfg -domain MOC
goto -label END_LABEL
#
#
#IRB5400_03_T11F21B11V12H41
echo -text "Installing configuration for trafo&DC link"
echo -text ""
config -filename  $BOOTPATH/../drive_lib/trafo3c1.cfg -domain MOC -internal
config -filename  $BOOTPATH/../drive_lib/dc3_c1b1.cfg -domain MOC -internal
#
if -var 9 -value 50 -label QUERY
if -var 9 -value 30 -label QUERY
setvar -var 10 -value 0
getkey -id "CnvSide" -var 10 -strvar $ANSWER -errlabel DEFAULT
goto -strvar $ANSWER
#DEFAULT
goto -label IRB5400_03_T11F21B11V12H41_r
#QUERY
echo -text "Select IRB Location."
echo -text " "
echo -text "Which side of the line? "
query -text "LeftSide                     RightSide" \
	-var 1 -fk_text
if -var 1 -value 10 -label IRB5400_03_T11F21B11V12H41_l
if -var 1 -value 40 -label IRB5400_03_T11F21B11V12H41_r
if -var 1 -value 50 -label IRB5400_03_T11F21B11V12H41_r
#LEFT
#IRB5400_03_T11F21B11V12H41_l
echo -text "Installing IRB 5400-03 left"
install -resource Function -name "IRB" -descr "5400_03_T11F21B11V12H41_l"
config -filename  $BOOTPATH/irbcfg/SEC_5400_03_T11F21B11V12H41_l_pnt.cfg.enc -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/INT_5400_03_T11F21B11V12H41_l_pnt.cfg -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/EXT_5400_03_T11F21B11V12H41_l_pnt.cfg -domain MOC
config -filename  $BOOTPATH/irbcfg/uncalib7.cfg -domain MOC
goto -label END_LABEL
#RIGHT
#IRB5400_03_T11F21B11V12H41_r
echo -text "Installing IRB 5400-03 right"
install -resource Function -name "IRB" -descr "5400_03_T11F21B11V12H41_r"
config -filename  $BOOTPATH/irbcfg/SEC_5400_03_T11F21B11V12H41_r_pnt.cfg.enc -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/INT_5400_03_T11F21B11V12H41_r_pnt.cfg -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/EXT_5400_03_T11F21B11V12H41_r_pnt.cfg -domain MOC
config -filename  $BOOTPATH/irbcfg/uncalib7.cfg -domain MOC
goto -label END_LABEL
#
#
#IRB5400_04_T21F41B11V12H11
echo -text "Installing configuration for trafo&DC link"
echo -text ""
config -filename  $BOOTPATH/../drive_lib/trafo3c1.cfg -domain MOC -internal
config -filename  $BOOTPATH/../drive_lib/dc3_c1b1.cfg -domain MOC -internal
#
if -var 9 -value 50 -label QUERY
if -var 9 -value 30 -label QUERY
setvar -var 10 -value 0
getkey -id "CnvSide" -var 10 -strvar $ANSWER -errlabel DEFAULT
goto -strvar $ANSWER
#DEFAULT
goto -label IRB5400_04_T21F41B11V12H11_r
#QUERY
echo -text "Select IRB Location."
echo -text " "
echo -text "Which side of the line? "
query -text "LeftSide                     RightSide" \
	-var 1 -fk_text
if -var 1 -value 10 -label IRB5400_04_T21F41B11V12H11_l
if -var 1 -value 40 -label IRB5400_04_T21F41B11V12H11_r
if -var 1 -value 50 -label IRB5400_04_T21F41B11V12H11_r
#LEFT
#IRB5400_04_T21F41B11V12H11_l
echo -text "Installing IRB 5400-04 left"
install -resource Function -name "IRB" -descr "5400_04_T21F41B11V12H11_l"
config -filename  $BOOTPATH/irbcfg/SEC_5400_04_T21F41B11V12H11_l_pnt.cfg.enc -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/INT_5400_04_T21F41B11V12H11_l_pnt.cfg -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/EXT_5400_04_T21F41B11V12H11_l_pnt.cfg -domain MOC
config -filename  $BOOTPATH/irbcfg/uncalib7.cfg  -domain MOC
goto -label END_LABEL
#RIGHT
#IRB5400_04_T21F41B11V12H11_r
echo -text "Installing IRB 5400-04 right"
install -resource Function -name "IRB" -descr "5400_04_T21F41B11V12H11_r"
config -filename  $BOOTPATH/irbcfg/SEC_5400_04_T21F41B11V12H11_r_pnt.cfg.enc -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/INT_5400_04_T21F41B11V12H11_r_pnt.cfg -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/EXT_5400_04_T21F41B11V12H11_r_pnt.cfg -domain MOC
config -filename  $BOOTPATH/irbcfg/uncalib7.cfg  -domain MOC
goto -label END_LABEL
#
#
#IRB5400_04_T21F41B11V12H12
echo -text "Installing configuration for trafo&DC link"
echo -text ""
config -filename  $BOOTPATH/../drive_lib/trafo3c1.cfg -domain MOC -internal
config -filename  $BOOTPATH/../drive_lib/dc3_c1b1.cfg -domain MOC -internal
#
if -var 9 -value 50 -label QUERY
if -var 9 -value 30 -label QUERY
setvar -var 10 -value 0
getkey -id "CnvSide" -var 10 -strvar $ANSWER -errlabel DEFAULT
goto -strvar $ANSWER
#DEFAULT
goto -label IRB5400_04_T21F41B11V12H12_r
#QUERY
echo -text "Select IRB Location."
echo -text " "
echo -text "Which side of the line? "
query -text "LeftSide                     RightSide" \
	-var 1 -fk_text
if -var 1 -value 10 -label IRB5400_04_T21F41B11V12H12_l
if -var 1 -value 40 -label IRB5400_04_T21F41B11V12H12_r
if -var 1 -value 50 -label IRB5400_04_T21F41B11V12H12_r
#LEFT
#IRB5400_04_T21F41B11V12H12_l
echo -text "Installing IRB 5400-04 left"
install -resource Function -name "IRB" -descr "5400_04_T21F41B11V12H12_l"
config -filename  $BOOTPATH/irbcfg/SEC_5400_04_T21F41B11V12H12_l_pnt.cfg.enc -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/INT_5400_04_T21F41B11V12H12_l_pnt.cfg -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/EXT_5400_04_T21F41B11V12H12_l_pnt.cfg -domain MOC
config -filename  $BOOTPATH/irbcfg/uncalib7.cfg  -domain MOC
goto -label END_LABEL
#RIGHT
#IRB5400_04_T21F41B11V12H12_r
echo -text "Installing IRB 5400-04 right"
install -resource Function -name "IRB" -descr "5400_04_T21F41B11V12H12_r"
config -filename  $BOOTPATH/irbcfg/SEC_5400_04_T21F41B11V12H12_r_pnt.cfg.enc -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/INT_5400_04_T21F41B11V12H12_r_pnt.cfg -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/EXT_5400_04_T21F41B11V12H12_r_pnt.cfg -domain MOC
config -filename  $BOOTPATH/irbcfg/uncalib7.cfg  -domain MOC
goto -label END_LABEL
#
#
#IRB5400_04_T21F41B11V12H41
echo -text "Installing configuration for trafo&DC link"
echo -text ""
config -filename  $BOOTPATH/../drive_lib/trafo3c1.cfg -domain MOC -internal
config -filename  $BOOTPATH/../drive_lib/dc3_c1b1.cfg -domain MOC -internal
#
if -var 9 -value 50 -label QUERY
if -var 9 -value 30 -label QUERY
setvar -var 10 -value 0
getkey -id "CnvSide" -var 10 -strvar $ANSWER -errlabel DEFAULT
goto -strvar $ANSWER
#DEFAULT
goto -label IRB5400_04_T21F41B11V12H41_r
#QUERY
echo -text "Select IRB Location."
echo -text " "
echo -text "Which side of the line? "
query -text "LeftSide                     RightSide" \
	-var 1 -fk_text
if -var 1 -value 10 -label IRB5400_04_T21F41B11V12H41_l
if -var 1 -value 40 -label IRB5400_04_T21F41B11V12H41_r
if -var 1 -value 50 -label IRB5400_04_T21F41B11V12H41_r
#LEFT
#IRB5400_04_T21F41B11V12H41_l
echo -text "Installing IRB 5400-04 left"
install -resource Function -name "IRB" -descr "5400_04_T21F41B11V12H41_l"
config -filename  $BOOTPATH/irbcfg/SEC_5400_04_T21F41B11V12H41_l_pnt.cfg.enc -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/INT_5400_04_T21F41B11V12H41_l_pnt.cfg -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/EXT_5400_04_T21F41B11V12H41_l_pnt.cfg -domain MOC
config -filename  $BOOTPATH/irbcfg/uncalib7.cfg  -domain MOC
goto -label END_LABEL
#RIGHT
#IRB5400_04_T21F41B11V12H41_r
echo -text "Installing IRB 5400-04 right"
install -resource Function -name "IRB" -descr "5400_04_T21F41B11V12H41_r"
config -filename  $BOOTPATH/irbcfg/SEC_5400_04_T21F41B11V12H41_r_pnt.cfg.enc -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/INT_5400_04_T21F41B11V12H41_r_pnt.cfg -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/EXT_5400_04_T21F41B11V12H41_r_pnt.cfg -domain MOC
config -filename  $BOOTPATH/irbcfg/uncalib7.cfg  -domain MOC
goto -label END_LABEL
#
#
#IRB5400_07_T31F51B11m1V11H11
echo -text " IRB5400-07 /8-axes robot"
echo -text "Installing configuration for trafo&DC link"
echo -text " "
config -filename  $BOOTPATH/../drive_lib/trafo4c1.cfg -domain MOC -internal
config -filename  $BOOTPATH/../drive_lib/dc3_c1b1.cfg -domain MOC -internal
#
if -var 9 -value 50 -label QUERY
if -var 9 -value 30 -label QUERY
setvar -var 10 -value 0
getkey -id "CnvSide" -var 10 -strvar $ANSWER -errlabel DEFAULT
goto -strvar $ANSWER
#DEFAULT
goto -label IRB5400_07_T31F51B11m1V11H11_rr
#QUERY
echo -text "Select IRB Type"
echo -text " "
echo -text "Robot type -work area dependent"
query -text "Left-type                   Right-type" \
	-var 1 -fk_text
if -var 1 -value 10 -label IRB5400_LEFT
if -var 1 -value 40 -label IRB5400_RIGHT
if -var 1 -value 50 -label IRB5400_RIGHT
#IRB5400_LEFT
echo -text "Installing IRB 5400-07L"
echo -text "Select IRB Location."
echo -text " "
echo -text "Which side of the line? "
query -text "LeftSide                     RightSide" \
	-var 1 -fk_text
if -var 1 -value 10 -label IRB5400_07_T31F51B11m1V11H11_ll
if -var 1 -value 40 -label IRB5400_07_T31F51B11m1V11H11_rl
if -var 1 -value 50 -label IRB5400_07_T31F51B11m1V11H11_rl
#LEFT_LEFT
#IRB5400_07_T31F51B11m1V11H11_ll
install -resource Function -name "IRB" -descr "5400_07_T31F51B11m1V11H11_ll"
config -filename  $BOOTPATH/irbcfg/SEC_5400_07_T31F51B11m1V11H11_ll_pnt.cfg.enc -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/INT_5400_07_T31F51B11m1V11H11_ll_pnt.cfg -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/EXT_5400_07_T31F51B11m1V11H11_ll_pnt.cfg -domain MOC
config -filename  $BOOTPATH/irbcfg/uncalib7.cfg -domain MOC
config -filename  $BOOTPATH/irbcfg/uncalib8.cfg -domain MOC
goto -label END_LABEL
#RIGHT_LEFT
#IRB5400_07_T31F51B11m1V11H11_rl
install -resource Function -name "IRB" -descr "5400_07_T31F51B11m1V11H11_rl"
config -filename  $BOOTPATH/irbcfg/SEC_5400_07_T31F51B11m1V11H11_rl_pnt.cfg.enc -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/INT_5400_07_T31F51B11m1V11H11_rl_pnt.cfg -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/EXT_5400_07_T31F51B11m1V11H11_rl_pnt.cfg -domain MOC
config -filename  $BOOTPATH/irbcfg/uncalib7.cfg -domain MOC
config -filename  $BOOTPATH/irbcfg/uncalib8.cfg -domain MOC
goto -label END_LABEL
#IRB5400_RIGHT
echo -text "Installing IRB 5400-07R"
echo -text "Select IRB Location."
echo -text " "
echo -text "Which side of the line? "
query -text "LeftSide                     RightSide" \
	-var 1 -fk_text
if -var 1 -value 10 -label IRB5400_07_T31F51B11m1V11H11_lr
if -var 1 -value 40 -label IRB5400_07_T31F51B11m1V11H11_rr
if -var 1 -value 50 -label IRB5400_07_T31F51B11m1V11H11_rr
#
#LEFT_RIGHT
#IRB5400_07_T31F51B11m1V11H11_lr
install -resource Function -name "IRB" -descr "5400_07_T31F51B11m1V11H11_lr"
config -filename  $BOOTPATH/irbcfg/SEC_5400_07_T31F51B11m1V11H11_lr_pnt.cfg.enc -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/INT_5400_07_T31F51B11m1V11H11_lr_pnt.cfg -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/EXT_5400_07_T31F51B11m1V11H11_lr_pnt.cfg -domain MOC
config -filename  $BOOTPATH/irbcfg/uncalib7.cfg -domain MOC
config -filename  $BOOTPATH/irbcfg/uncalib8.cfg -domain MOC
goto -label END_LABEL
#
#RIGHT_RIGHT
#IRB5400_07_T31F51B11m1V11H11_rr
install -resource Function -name "IRB" -descr "5400_07_T31F51B11m1V11H11_rr"
config -filename  $BOOTPATH/irbcfg/SEC_5400_07_T31F51B11m1V11H11_rr_pnt.cfg.enc -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/INT_5400_07_T31F51B11m1V11H11_rr_pnt.cfg -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/EXT_5400_07_T31F51B11m1V11H11_rr_pnt.cfg -domain MOC
config -filename  $BOOTPATH/irbcfg/uncalib7.cfg -domain MOC
config -filename  $BOOTPATH/irbcfg/uncalib8.cfg -domain MOC
goto -label END_LABEL
#
#
#IRB5300_02_T00F11A11C11D11
echo -text "Installing  IRB5300-02"
echo -text "Installing configuration for trafo&DC link"
echo -text ""
config -filename  $BOOTPATH/../drive_lib/trafo4c1.cfg -domain MOC -internal
config -filename  $BOOTPATH/../drive_lib/dc1_c1b1.cfg -domain MOC -internal
#
setvar -var 10 -value 0
getkey -id "CnvMedia" -var 10 -strvar $ANSWER -errlabel NO_CNV
goto -strvar $ANSWER
#NO_CNV
install -resource Function -name "IRB" -descr "5300_02_T00F11A11C11D11"
config -filename  $BOOTPATH/irbcfg/SEC_5300_02_T00F11A11C11D11_pnt.cfg.enc -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/INT_5300_02_T00F11A11C11D11_pnt.cfg -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/EXT_5300_02_T00F11A11C11D11_pnt.cfg -domain MOC
goto -label END_LABEL
#OPTCNV
if -var 9 -value 50 -label QUERY
if -var 9 -value 30 -label QUERY
setvar -var 10 -value 0
getkey -id "CnvSide" -var 10 -strvar $ANSWER -errlabel DEFAULT
goto -strvar $ANSWER
#DEFAULT
goto -label IRB5300_02_T00F11A11C11D11_rr
#QUERY
echo -text "SELECT IRB5300_02 TYPE"
echo -text " "
echo -text " L/L - left side / left robot"
echo -text " L/R - left side / right robot"
echo -text " R/L - right side / left robot"
echo -text " R/R - right side / right robot"
echo -text " "
query -text " L/L     L/R             R/L     R/R" \
	-var 1 -fk_text
if -var 1 -value 10 -label IRB5300_02_T00F11A11C11D11_ll
if -var 1 -value 20 -label IRB5300_02_T00F11A11C11D11_lr
if -var 1 -value 30 -label IRB5300_02_T00F11A11C11D11_lr
if -var 1 -value 40 -label IRB5300_02_T00F11A11C11D11_rl
if -var 1 -value 50 -label IRB5300_02_T00F11A11C11D11_rr
#LEFT_LEFT
#IRB5300_02_T00F11A11C11D11_ll
install -resource Function -name "IRB" -descr "5300_02_T00F11A11C11D11_ll"
config -filename  $BOOTPATH/irbcfg/SEC_5300_02_T00F11A11C11D11_ll_pnt.cfg.enc -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/INT_5300_02_T00F11A11C11D11_ll_pnt.cfg -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/EXT_5300_02_T00F11A11C11D11_ll_pnt.cfg -domain MOC
goto -label END_LABEL
#LEFT_RIGHT
#IRB5300_02_T00F11A11C11D11_lr
install -resource Function -name "IRB" -descr "5300_02_T00F11A11C11D11_lr"
config -filename  $BOOTPATH/irbcfg/SEC_5300_02_T00F11A11C11D11_lr_pnt.cfg.enc -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/INT_5300_02_T00F11A11C11D11_lr_pnt.cfg -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/EXT_5300_02_T00F11A11C11D11_lr_pnt.cfg -domain MOC
goto -label END_LABEL
#RIGHT_LEFT
#IRB5300_02_T00F11A11C11D11_rl
install -resource Function -name "IRB" -descr "5300_02_T00F11A11C11D11_rl"
config -filename  $BOOTPATH/irbcfg/SEC_5300_02_T00F11A11C11D11_rl_pnt.cfg.enc -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/INT_5300_02_T00F11A11C11D11_rl_pnt.cfg -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/EXT_5300_02_T00F11A11C11D11_rl_pnt.cfg -domain MOC
goto -label END_LABEL
#RIGHT_RIGHT
#IRB5300_02_T00F11A11C11D11_rr
install -resource Function -name "IRB" -descr "5300_02_T00F11A11C11D11_rr"
config -filename  $BOOTPATH/irbcfg/SEC_5300_02_T00F11A11C11D11_rr_pnt.cfg.enc -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/INT_5300_02_T00F11A11C11D11_rr_pnt.cfg -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/EXT_5300_02_T00F11A11C11D11_rr_pnt.cfg -domain MOC
goto -label END_LABEL
#
#
#IRB5300_03_T11F21A11C11D11
echo -text "Installing  IRB5300-03"
echo -text "Installing configuration for trafo&DC link"
echo -text ""
config -filename  $BOOTPATH/../drive_lib/trafo4c1.cfg -domain MOC -internal
config -filename  $BOOTPATH/../drive_lib/dc2t_c1b1.cfg -domain MOC -internal
#
if -var 9 -value 50 -label QUERY
if -var 9 -value 30 -label QUERY
setvar -var 10 -value 0
getkey -id "CnvSide" -var 10 -strvar $ANSWER -errlabel DEFAULT
goto -strvar $ANSWER
#DEFAULT
goto -label IRB5300_03_T11F21A11C11D11_rr
#QUERY
echo -text "SELECT IRB5300_03 TYPE"
echo -text " "
echo -text " L/L - left side / left robot"
echo -text " L/R - left side / right robot"
echo -text " R/L - right side / left robot"
echo -text " R/R - right side / right robot"
echo -text " "
query -text " L/L     L/R             R/L     R/R" \
	-var 1 -fk_text
if -var 1 -value 10 -label IRB5300_03_T11F21A11C11D11_ll
if -var 1 -value 20 -label IRB5300_03_T11F21A11C11D11_lr
if -var 1 -value 30 -label IRB5300_03_T11F21A11C11D11_lr
if -var 1 -value 40 -label IRB5300_03_T11F21A11C11D11_rl
if -var 1 -value 50 -label IRB5300_03_T11F21A11C11D11_rr
#LEFT_LEFT
#IRB5300_03_T11F21A11C11D11_ll
install -resource Function -name "IRB" -descr "5300_03_T11F21A11C11D11_ll"
config -filename  $BOOTPATH/irbcfg/SEC_5300_03_T11F21A11C11D11_ll_pnt.cfg.enc -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/INT_5300_03_T11F21A11C11D11_ll_pnt.cfg -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/EXT_5300_03_T11F21A11C11D11_ll_pnt.cfg -domain MOC
config -filename  $BOOTPATH/irbcfg/uncalib7.cfg  -domain MOC
goto -label END_LABEL
#LEFT_RIGHT
#IRB5300_03_T11F21A11C11D11_lr
install -resource Function -name "IRB" -descr "5300_03_T11F21A11C11D11_lr"
config -filename  $BOOTPATH/irbcfg/SEC_5300_03_T11F21A11C11D11_lr_pnt.cfg.enc -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/INT_5300_03_T11F21A11C11D11_lr_pnt.cfg -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/EXT_5300_03_T11F21A11C11D11_lr_pnt.cfg -domain MOC
config -filename  $BOOTPATH/irbcfg/uncalib7.cfg  -domain MOC
goto -label END_LABEL
#RIGHT_LEFT
#IRB5300_03_T11F21A11C11D11_rl
install -resource Function -name "IRB" -descr "5300_03_T11F21A11C11D11_rl"
config -filename  $BOOTPATH/irbcfg/SEC_5300_03_T11F21A11C11D11_rl_pnt.cfg.enc -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/INT_5300_03_T11F21A11C11D11_rl_pnt.cfg -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/EXT_5300_03_T11F21A11C11D11_rl_pnt.cfg -domain MOC
config -filename  $BOOTPATH/irbcfg/uncalib7.cfg  -domain MOC
goto -label END_LABEL
#RIGHT_RIGHT
#IRB5300_03_T11F21A11C11D11_rr
install -resource Function -name "IRB" -descr "5300_03_T11F21A11C11D11_rr"
config -filename  $BOOTPATH/irbcfg/SEC_5300_03_T11F21A11C11D11_rr_pnt.cfg.enc -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/INT_5300_03_T11F21A11C11D11_rr_pnt.cfg -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/EXT_5300_03_T11F21A11C11D11_rr_pnt.cfg -domain MOC
config -filename  $BOOTPATH/irbcfg/uncalib7.cfg  -domain MOC
goto -label END_LABEL
#
#
#IRB5300_04_T21F41A11C11D11
echo -text "Installing  IRB5300-04"
echo -text "Installing configuration for trafo&DC link"
echo -text ""
config -filename  $BOOTPATH/../drive_lib/trafo4c1.cfg -domain MOC -internal
config -filename  $BOOTPATH/../drive_lib/dc2t_c1b1.cfg -domain MOC -internal
if -var 9 -value 50 -label QUERY
if -var 9 -value 30 -label QUERY
setvar -var 10 -value 0
getkey -id "CnvSide" -var 10 -strvar $ANSWER -errlabel DEFAULT
goto -strvar $ANSWER
#DEFAULT
goto -label IRB5300_04_T21F41A11C11D11_rr
#QUERY
echo -text "SELECT IRB5300_04 TYPE"
echo -text " "
echo -text " L/L - left side / left robot"
echo -text " L/R - left side / right robot"
echo -text " R/L - right side / left robot"
echo -text " R/R - right side / right robot"
echo -text " "
query -text " L/L     L/R             R/L     R/R" \
	-var 1 -fk_text
if -var 1 -value 10 -label IRB5300_04_T21F41A11C11D11_ll
if -var 1 -value 20 -label IRB5300_04_T21F41A11C11D11_lr
if -var 1 -value 30 -label IRB5300_04_T21F41A11C11D11_lr
if -var 1 -value 40 -label IRB5300_04_T21F41A11C11D11_rl
if -var 1 -value 50 -label IRB5300_04_T21F41A11C11D11_rr
#LEFT_LEFT
#IRB5300_04_T21F41A11C11D11_ll
install -resource Function -name "IRB" -descr "5300_04_T21F41A11C11D11_ll"
config -filename  $BOOTPATH/irbcfg/SEC_5300_04_T21F41A11C11D11_ll_pnt.cfg.enc -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/INT_5300_04_T21F41A11C11D11_ll_pnt.cfg -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/EXT_5300_04_T21F41A11C11D11_ll_pnt.cfg -domain MOC
config -filename  $BOOTPATH/irbcfg/uncalib7.cfg  -domain MOC
goto -label END_LABEL
#LEFT_RIGHT
#IRB5300_04_T21F41A11C11D11_lr
install -resource Function -name "IRB" -descr "5300_04_T21F41A11C11D11_lr"
config -filename  $BOOTPATH/irbcfg/SEC_5300_04_T21F41A11C11D11_lr_pnt.cfg.enc -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/INT_5300_04_T21F41A11C11D11_lr_pnt.cfg -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/EXT_5300_04_T21F41A11C11D11_lr_pnt.cfg -domain MOC
config -filename  $BOOTPATH/irbcfg/uncalib7.cfg  -domain MOC
goto -label END_LABEL
#RIGHT_LEFT
#IRB5300_04_T21F41A11C11D11_rl
install -resource Function -name "IRB" -descr "5300_04_T21F41A11C11D11_rl"
config -filename  $BOOTPATH/irbcfg/SEC_5300_04_T21F41A11C11D11_rl_pnt.cfg.enc -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/INT_5300_04_T21F41A11C11D11_rl_pnt.cfg -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/EXT_5300_04_T21F41A11C11D11_rl_pnt.cfg -domain MOC
config -filename  $BOOTPATH/irbcfg/uncalib7.cfg  -domain MOC
goto -label END_LABEL
#RIGHT_RIGHT
#IRB5300_04_T21F41A11C11D11_rr
install -resource Function -name "IRB" -descr "5300_04_T21F41A11C11D11_rr"
config -filename  $BOOTPATH/irbcfg/SEC_5300_04_T21F41A11C11D11_rr_pnt.cfg.enc -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/INT_5300_04_T21F41A11C11D11_rr_pnt.cfg -domain MOC -internal
config -filename  $BOOTPATH/irbcfg/EXT_5300_04_T21F41A11C11D11_rr_pnt.cfg -domain MOC
config -filename  $BOOTPATH/irbcfg/uncalib7.cfg  -domain MOC
goto -label END_LABEL
#
#
#SITO not fixed yet!
#END_LABEL
echo -text "No calibration data available"
config -filename  $BOOTPATH/irbcfg/uncalib.cfg -domain MOC
config -filename  $BOOTPATH/irbcfg/runchn.cfg -domain MOC -internal


